<style src="./Style.scss" lang="scss" scoped></style>
<script src="./Script.js"></script>

<template>
  <div class="loading-system">
    <div class="d-flex flex-column align-items-center justify-content-center h-100 loading_scale">
      <img class="cloud-float" style="width: 38px" src="@/assets/imgs/loading/cloud.svg" />
      <div class="d-flex" style="margin-top: 20px">
        <div
          class="d-flex flex-column justify-content-around align-items-center"
          style="width: 120px; padding-top: 30px"
        >
          <img
            class="cloud-float"
            style="width: 77px; margin-bottom: 30px"
            src="@/assets/imgs/loading/cloud.svg"
          />
          <img
            class="cog-spin"
            style="width: 40px; margin-left: 20px"
            src="@/assets/imgs/loading/cog.svg"
          />
        </div>
        <div>
          <div
            v-for="(item, indexP) in bgColors"
            :key="indexP"
            class="position-relative loading_server"
          >
            <div class="loading_server-bg d-flex flex-column">
              <div
                v-for="(color, index) in bgColors"
                :key="index"
                :style="{ 'background': replaceColor[index] }"
              ></div>
            </div>
            <img class="position-relative" src="@/assets/imgs/loading/server.svg" />
          </div>
        </div>
        <div
          class="d-flex flex-column justify-content-around align-items-center"
          style="width: 120px"
        >
          <img
            class="cog-spin"
            style="width: 64px; margin-top: -20px"
            src="@/assets/imgs/loading/cog.svg"
          />
          <img
            class="cloud-float"
            style="width: 42px; margin-right: 30px"
            src="@/assets/imgs/loading/cloud.svg"
          />
        </div>
      </div>
      <div
        class="text-center"
        style="font-weight: 500; font-size: 20px; line-height: 30px; color: #444F78; margin-top: 30px"
      >Hệ thống đang xử lý</div>
      <div
        class="text-center"
        style="font-size: 16px; line-height: 24px; color: #444F78; margin-top: 5px;"
      >Chúng tôi sẽ gửi thông báo cho bạn sau khi hoàn thành</div>
    </div>
  </div>
</template>